AI resources
Get agreement

This endpoint allows returning information on an existing agreement by its ID. In case of success, the request will return a response with status 200.

GET

https://api.mercadopago.com/v2/wallet_connect/agreements/{agreement_id}
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
Path
agreement_id
string

REQUIRED

Unique identifier of the agreement, returned in the response from the endpoint /v2/wallet_connect/agreements.
Response parameters
id
string
Unique identifier of the agreement.
date_created
string
Date and time the agreement was created, in ISO 8601 format.
date_cancelled
string
Date and time the agreement was canceled, in ISO 8601 format.
date_expire
string
Date and time the agreement expires, in ISO 8601 format.
Errors

400Request error.

invalid_path_param

The agreement_id provided in the path is not valid. Please confirm it and provide a valid agreement_id to try again.

403Forbidden.

forbidden

You don't have permission to access the requested resource. Check whether the Access Token used has the permissions and scopes required for this operation.

404Resource not found.

AgreementNotFound

No agreement was found with the provided ID. This same response is returned when the agreement belongs to another application (ClientNotOwner), in order to avoid exposing the existence of other customers' agreements.

ClientNotOwner

The agreement exists but was not created by the current application. The same AgreementNotFound response will be returned to avoid exposing the existence of other customers' agreements.

500Generic error.

internal_error

An internal server error occurred. Please try again later. If the problem persists, contact support and provide the x-request-id and details about the operation performed.

Request
curl -X GET \
    'https://api.mercadopago.com/v2/wallet_connect/agreements/{agreement_id}'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-4*********782856-12*********f202ca494*********f0baa4bb3*********648' \
    
Response
{
  "id": "b1234e5678b91c23a456e78912345b67",
  "date_created": "2023-02-16T00:02:52Z",
  "date_cancelled": "2023-02-16T00:02:52Z",
  "date_expire": "2023-02-16T00:02:52Z",
  "validation_code": "a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4",
  "agreement_code": "a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4",
  "approval_uri": "https://www.mercadopago.com.co/wallet-connect/vinculation/onboarding?b1234e5678b91c23a456e78912345b67",
  "redirect_uri": "https://www.mercadopago.com/",
  "status": "CONFIRMED_BY_USER",
  "external_flow_id": "external_flow_id",
  "external_user": {
    "id": "usertest",
    "description": "Test account"
  },
  "agreement_data": {
    "validation_amount": "24.50",
    "description": "Test agreement"
  },
  "site_id": "MCO",
  "application_id": 123456789,
  "collector_id": 987654,
  "model_version": 2
}